Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#355 z_floor and z_ceiling based on xyplane.absolute

closed-accepted
None
2
2007-06-22
2006-05-14
Dan Sebald
No

The z_floor and z_ceiling are currently not dependent
upon the xyplane.absolute and xyplane.xyplane_z. They
should be:

Try

set xyplane at -20
splot x+y

before and after the patch.

Dan

Discussion

  • Dan Sebald
    Dan Sebald
    2006-05-14

    bug fix for "set xyplane at #"

     
  • Logged In: YES
    user_id=27517

    I don't think this is a good way of fixing the problem. The
    real bug is that the user interface in set.c:set_xyplane()
    is in structural disagreement with the internal data
    structur, struct xyplane.

    The internal variable holds values for *both* the classical
    z_level and the absolute variety --- but set_xyplane()
    allows to set only one of them. The proper fix is to remove
    this incongruence. Either remove one of the two values, or
    find a way of using both, and offer both to the user.

     
    • assigned_to: nobody --> broeker
    • status: open --> open-rejected
     
  • Ethan Merritt
    Ethan Merritt
    2006-05-14

    Logged In: YES
    user_id=235620

    It looks to me that the problem is one of initialization,
    and goes away once the axis locations have all been
    calculated once. Try this:

    set xyplan -20
    splot x+y
    # z-axis is drawn with incorrect limits
    pause -1
    set xrange [0:20]
    set yrange [0:20]
    replot
    # z-axis range is now correct
    pause -1
    set auto x
    set auto y
    replot
    # return to origin plot ranges
    # but now z-axis range remains correct
    pause -1

     
  • Dan Sebald
    Dan Sebald
    2006-05-14

    Logged In: YES
    user_id=704782

    Actually, the example code below doesn't conclude anything.
    Take a look at the axes of the final plot. Unlike the
    first plot for which x/y run from -10 to 10, this one has 0
    to 20. It's as thought auto x and y don't return to the
    auto range. Strange.

     
  • Dan Sebald
    Dan Sebald
    2006-05-22

    Logged In: YES
    user_id=704782

    xyplane_djs_21may2006.patch is an update according to what
    Hans had suggested. It removes ticslevel and xyplane_z from
    t_xyplane structure and simply replaces both with z. The
    value is either absolute or fraction (relative) placement.

    There is still a detail to deal with regarding the behavior
    of the <shift>-<button 2 press>-<mouse drag>. Please try
    out all these scenarios to see if you like the behavior:

    set ticslevel -1
    splot x+y
    set zrange [-20:20] reverse
    replot
    set xyplane at -30
    replot
    set zrange [-20:20]
    replot

    set xyplane -30
    <observe failure message>
    set ticslevel at -30
    <observe failure message>

    Now, go back to the set of first four plot commands and
    after each one, use the <shift>-<button 2 press>-<drag> to
    move the xyplane around. See if you like the behavior. (I
    don't, really but we'll see what others think.)

    Dan

     
  • Dan Sebald
    Dan Sebald
    2006-05-22

    Bug fix for xyplane and z-axis relationship.

     
  • Ethan Merritt
    Ethan Merritt
    2006-06-27

    Logged In: YES
    user_id=235620

    As part of preparing for a 4.2 release, I want to make it clear
    what is and is not still on my (sfeam) MUST DO list. This patch
    is not on that list. If you think it should be, please speak up
    quickly.

    Many of these bugs are stale and can be closed out altogether.

     
  • Ethan Merritt
    Ethan Merritt
    2006-06-27

    • priority: 5 --> 2
     
  • Petr Mikulik
    Petr Mikulik
    2006-07-12

    Logged In: YES
    user_id=31505

    I consider the z-axis created by this patch much more nicer
    and reasonable than the current behavior. I cannot comment
    on the code quality, but I propose to submit the patch due
    to its functionality.

     
  • Dan Sebald
    Dan Sebald
    2007-05-07

    update with recent CVS

     
  • Dan Sebald
    Dan Sebald
    2007-05-07

    Logged In: YES
    user_id=704782
    Originator: YES

    File Added: xyplane_djs_6may2007.patch

     
  • Ethan Merritt
    Ethan Merritt
    2007-06-22

    • status: open-rejected --> closed-accepted